PERTALIFE Bugs - Bug #2102

[HR-PERFORMANCE APPRAISAL] ada error convert parameter kalau mengedit score di appraisal 6
03/31/2023 02:47 PM - Muhammad Bintar

Status: QA Test Start date: 03/31/2023
Priority: Normal Due date: 04/07/2023
Assignee: Muhammad Bintar % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.00 hour
Description

dear tim developer mohon supportnya untuk perbaikan dimana pada saat mengisi score di appraisal 6 terjadi error convert
parameter
¥ [J Financial Accounting 8000005 - Error Error Failed to convert parameter value from a String to a Decimal. Query: UPDATE PHRPAQD47 SET StartDate = @StartDate,EndDate =
@EndDate,AppraisalType = @AppraisalType AppraisalDate = @AppraisalDate,Notes = @Notes,EmployeelD = @EmployeelD,Sequence = @Sequence,CreateBy =
@CreateBy,CreateDate = @CreateDate,ChangeBy = @ChangeBy,ChangeDate = @ChangeDate AdjustedkPl = @AdjustedkPl,CalculatedKPl = @CalculatedKPI KPIFinalScore =
@KPIFinalScore KPITatalScore = @KPITotalScore AdjustedCompetency = @AdjustedCompetency,CalculstedCompetency = @CalculatedCompetency,QualFinalScore =
@QualFinalscore,QualTotalScore = @QualTotalScore,Adjustedindex = @Adjustedindex AdjustedScore = @AdjustedScore,Calculatedscore = @CalculatedScore, Calculatedindex =
@Calculatedindex WHERE StartDate = @StartDate AND EndDate = @EndDate AND AppraisalType = @AppraisalType AND EmployeelD = @EmployeelD AND Sequence =
@Sequence
Employee Overview - 10630422 - RUDIE KRISMANDA

] Time Management

. Employee 1D: 10630422 Company ID: PT. Pertalife Insurance
[ Travel Managem...
, Full Name: RUDIE KRISMANDA Employee Office: Kantor Pusat
[ Benefit Administ...
. Employee Status: Active Organization: DH Human Capital
, ) Employee Type: Permanent Position: 00000624
History

#1 - 04/03/2023 10:50 AM - Saswanto Tampan
- Status changed from New to Assigned

- Assignee changed from Saswanto Tampan to M Azid Wahyudi

#2 - 04/03/2023 11:13 AM - M Azid Wahyudi
- Status changed from Assigned to QA Test
- Assignee changed from M Azid Wahyudi to Muhammad Bintar

dear masbin , untuk issue ini itu berawal karena essnya tidak ada validasi dan untuk di HR dia tidak boleh mengubah2 data2 di dalam grid di hr itu yg
di bisa di ubah itu kpi final score dan adusjted score by upload dan hr selebihnya mereka tidak boleh merubah2 seperti sepakatan di awal

makasih
